import { Provider } from '@angular/core';
import { IHotjarSettings } from '../interfaces/i-hotjar-settings';
import { HjFn } from '../types/hj';
/**
 * Provides a TOKEN to manually configure Hojtar tracking code by angular way.
 */
export declare const NGX_HOTJAR_INITIALIZER_PROVIDER: Provider;
/**
 * Configuration Factory to create hotjar install script tag and attache on DOM at angular initialization.
 */
export declare function hotjarInitializer(settings: IHotjarSettings, document: Document, window: Window & {
    hj?: HjFn;
    _hjSettings?: {
        hjid: string;
        hjsv: number;
    };
}): () => Promise<void>;
